Subject: [MEXT] Revoking all bindings of an MN

From: Suresh Krishnan <[email-masked]>
Date: Tue, 21 Oct 2008 11:45:35 -0400

Hi Folks,
   Section 9.2.1 contains the following text about revoking all PMIP 
bindings for a given MN-ID when no HNP is present

"
        1. If only the mobile node identifier, MN-ID, option is included,
           the local mobility anchor MUST revoke all bindings for this
           mobile node which have a proxy CoA that is used as the source
           of the IPv6 packet that carried the BRI or in the Alternate
           Care-of-Address option in the BRI.
"

I consider this to be a valid use case. But the text in Section 6.1 
about the P bit disallows this scenario

"o  Home Network Prefix option [RFC5213].  This option is mandatory
     when the (P) bit is set."

I request the authors to remove this restriction in section 6.1.

Cheers
Suresh
_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Tue, 21 Oct 2008 11:11:18 -0500

Hi Suresh,

Probably what you meant is to modify the requirement under section 6.1.

What about the following:

   o  Home Network Prefix option [RFC5213].  This option is mandatory
      when the (P) bit is set and the BRI is used for revoking a single 
      binding cache entry.

What do you think?

Regards,
Ahmad

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Suresh Krishnan
> Sent: Tuesday, October 21, 2008 10:46 AM
> To: [email-masked]
> Subject: [MEXT] Revoking all bindings of an MN
> 
> Hi Folks,
>    Section 9.2.1 contains the following text about revoking 
> all PMIP bindings for a given MN-ID when no HNP is present
> 
> "
> I consider this to be a valid use case. But the text in 
> Section 6.1 about the P bit disallows this scenario
> 
>

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 21 Oct 2008 15:08:43 -0400

Hi Ahmad,
    How about this text.

o  Home Network Prefix option [RFC5213].  This option MAY be used
     when the (P) bit is set. This option MUST be present when the
     BRI is used to revoke a single PMIP binding cache entry.

I do not like having the word "mandatory" when it is not
really mandatory.

Thanks
Suresh

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Tue, 21 Oct 2008 14:12:24 -0500

Hi Suresh.

This sounds good to me.

Regards,
Ahmad

> From: Suresh Krishnan [mailto:[email-masked]] 
> Sent: Tuesday, October 21, 2008 2:09 PM
> To: Muhanna, Ahmad (RICH1:2H10)
> Cc: [email-masked]
> Subject: Re: [MEXT] Revoking all bindings of an MN
> 
> Hi Ahmad,
>     How about this text.
> 
> >> From: [email-masked] [mailto:[email-masked]] 
> On Behalf 
> >> Of Suresh Krishnan